import { Radio } from "./radio";
import { ValueField } from "../value-field";
import * as i0 from "@angular/core";
export declare class RadioGroupComponent {
    field: RadioGroupField;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioGroupComponent, "path-radio-group", never, { "field": "field"; }, { "field": "field"; }, never, never>;
}
export declare class RadioGroupField extends ValueField<string> {
    private _radios;
    private _horizontal;
    get radios(): Radio[];
    set radios(value: Radio[]);
    get horizontal(): boolean;
    set horizontal(value: boolean);
    setValue(value: string): void;
    updateValueFromGui(value: string): void;
    isReadonly(): boolean;
    fromJson(modelFormField: any): void;
}
